///////////////////////////////////////////////////////////
// Softwarebauelemente I, Aufgabe O1.2
//
// author:			Stephan Brumme
// last changes:	January 14, 2001

#if !defined(AFX_CASHOFFICE_H__26E07000_EA3B_11D4_9BB7_AFEE07846A21__INCLUDED_)
#define AFX_CASHOFFICE_H__26E07000_EA3B_11D4_9BB7_AFEE07846A21__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


#include "Room.h"


class CCashOffice : public CRoom  
{
private:
	Ordinal m_nNumberOfCounter;

public:
	// constructor (former Init !)
	CCashOffice(Ordinal nNumberOfRoom, Ordinal nArea, Ordinal nNumberOfCounter) :
		CRoom(nNumberOfRoom, nArea), m_nNumberOfCounter(nNumberOfCounter) {}

	// destructor (not neccessary)
	virtual ~CCashOffice() {}

	// compare two rooms
	virtual Boolean operator==(const CCashOffice& cashOffice) const;
	virtual Boolean EqualValue(const CCashOffice& cashOffice) const;

	// copy one room to another one
    virtual CCashOffice& operator=(const CCashOffice& cashOffice);
	virtual Boolean      Copy     (const CCashOffice& cashOffice);
	
	// access m_nNumberOfCounter
	Ordinal GetNumberOfCounter() const;
	void    SetNumberOfCounter(const Ordinal nNumberOfCounter);

	// display the attributes
	// only for internal purposes !
	virtual void Show() const;
};

#endif // !defined(AFX_CASHOFFICE_H__26E07000_EA3B_11D4_9BB7_AFEE07846A21__INCLUDED_)
